#include "descriptor/descriptor.h"

int main(void) {

  ITEM	glass,grey,nero,red,muro;
  ITEM  stickL, stickR, corpoR, corpoL, cil_dir, cil_tas, corpo, manicoD, manicoS, stanza, tavolo;
  ITEM	scene;

  set_background(0.676,0.861,0.953,TRUE);
  set_ambient_light(1,1,1,0.7);
  create_point_light(16.16,15.90,9.39,1,1,1,3.89,20, "light1");

  //ATTRIBUTE glass 
  glass = create_attribute("glass");
  set_color(glass,0.68,0.86,1,0.5,0.5);
  set_reflectivity(glass,0.24,2);
  set_transparency(glass,0.87,0.68,2,1.2);

  // ATTRIBUTE grey
  grey = create_attribute("grey");
  set_color(grey,0.88,0.88,0.87,0.1,0.1);
  set_reflectivity(grey,0.2,1);

  // ATTRIBUTE nero
  nero = create_attribute("nero");
  set_color(nero,0,0,0,0.0,0.0);
  set_reflectivity(nero,0.17,1);

  // ATTRIBUTE red
  red = create_attribute("red");
  set_color(red,1,0,0,0.2,0.8);
  set_reflectivity(red,0.3,10);

  // ATTRIBUTE muro
  muro = create_attribute("muro");
  set_color(muro,1,1,1,0.5,0.5);
  set_reflectivity(muro,0.3,2);

  stickL = read_obj("stickL.obj", "stickL");
  set_attribute(stickL,nero);

  stickR = read_obj("stickR.obj", "stickR");
  set_attribute(stickR,nero);

  corpoR = read_obj("corpoR.obj", "corpoR");
  set_attribute(corpoR,nero);

  corpoL = read_obj("corpoL.obj", "corpoL");
  set_attribute(corpoL,nero);

  cil_dir = read_obj("cilindro_con_direzionali.obj", "cilindro_direzionali");
  set_attribute(cil_dir,nero);

  cil_tas = read_obj("cilindro_con_tasti.obj", "cilindro_tasti");
  set_attribute(cil_tas,nero);

  corpo = read_obj("corpo_centrale.obj", "corpo_centrale");
  set_attribute(corpo,nero);

  manicoD = read_nurbs("manicoR.db");
  set_attribute(manicoD,nero);

  manicoS = read_nurbs("manicoL.db");
  set_attribute(manicoS,nero);

  stanza = read_obj("stanza.obj", "stanza");
  set_attribute(stanza,muro);

  tavolo = read_obj("tavolo.obj", "tavolo");
  set_attribute(tavolo,glass);

  scene = create_list(stickL, "scene");
  scene = insert_in_list(scene,stickR);
  scene = insert_in_list(scene,corpoR);
  scene = insert_in_list(scene,corpoL);
  scene = insert_in_list(scene,cil_dir);
  scene = insert_in_list(scene,cil_tas);
  scene = insert_in_list(scene,corpo);
  scene = insert_in_list(scene,manicoD);
  scene = insert_in_list(scene,manicoS);
  scene = insert_in_list(scene,stanza);
  scene = insert_in_list(scene,tavolo);

  save_scene("pad.md","scene_pad",scene);
  return(0);
}
